/**
 * JASMINe
 * Copyright (C) 2011 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: FileOuterParams.java 8643 2011-07-25 12:19:35Z danesa $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.probe.outers.file.shell;

import java.util.ArrayList;
import java.util.List;

import org.ow2.jasmine.probe.shell.JasmineProbeCommandParams;

import com.beust.jcommander.Parameter;

public class FileOuterParams extends JasmineProbeCommandParams {

    @Parameter(description = "Output name")
    public List<String> name = new ArrayList<String>();

    public String getOutputName() {
        return name.get(0);
    }

    @Parameter(names = { "-p", "--path" }, description = "File path", required = true)
    private String path = null;


    public String getPath() {
        return path;
    }

    public void reset() {
        name = new ArrayList<String>();
        path = null;
    }
}
